return {
	LrSdkVersion = 4.0,
	LrSdkMinimumVersion = 3.0, -- minimum SDK version required by this plug-in

	LrToolkitIdentifier = 'com.ttg.ce4.publisher',
	
	LrPluginName = LOC "Publisher, By The Turning Gate",
	
	LrExportMenuItems = {
		--[[{
			title = "Migrate galleries from CE3 Publisher to CE4 Publisher",
			file = "TTGMigratorMenuItem.lua", 
		},]]
		{
			title = "Output Publisher Structure",
			file = "TTGOutputStructureMenuItem.lua", 
		},
	},
	
	LrExportServiceProvider = {
		title = "TTG Publisher",
		file = 'TTGPublishServiceProvider.lua',
	},

	LrPluginInfoProvider = 'LRInfoProvider.lua',

	-- ALSO NEED TO UPDATE local version in TTGApi.lua --
	VERSION = { major=5, minor=2, revision=2, },
	
	LrInitPlugin = 'LRInitPlugin.lua'
}