local LrView = import "LrView"
local LrHttp = import "LrHttp"
local bind = import "LrBinding"
local app = import 'LrApplication'

local path = _PLUGIN:resourceId('supporting_files/ttg-icon-large.png')

 return {
	sectionsForTopOfDialog = function(f, p)
		return {
			-- section for the top of the dialog
			{
				title = 'About TTG Publisher',
				f:row {

					f:spacer {
						width=0,
					},
					f:column {
						f:spacer {
							height=5,
						},
						f:picture {
							value=path,
							width=100,
							height=100,
						},
					},
					f:spacer {
						width=30,
					},
					f:column {

						f:row {
							f:static_text {
								title = 'Publisher, by The Turning Gate',
								font = '<system/bold>'
							}
						},
						f:spacer {
							height=30,
						},
						f:row {
							f:push_button {
								width = 150,
								title = 'Documentation',
								enabled = true,
								action = function()
									LrHttp.openUrlInBrowser('https://backlight.me/docs/index')
								end,
							},
							f:spacer {
								width=5,
							},
							f:push_button {
								width = 150,
								title = 'Support Forum',
								enabled = true,
								action = function()
									LrHttp.openUrlInBrowser('https://discourse.theturninggate.net/c/backlight-3-support/6')
								end,
							},
						},
						f:spacer {
							height=25,
						},
						f:row {
							f:push_button {
								width = 150,
								title = 'Visit The Turning Gate',
								enabled = true,
								action = function()
									LrHttp.openUrlInBrowser('http://theturninggate.net')
								end,
							},
						},
						f:spacer {
							height=10,
						},
					}
				}
			}
		}
	end
}